<div id="shipping">
  <div class="pa-6">
    <div class="flex items-center justify-between">
      <p class="mb-0 font-semibold text-content-main">Shipping Price</p>
      <v-btn color="#3B82F6" outlined @click="openDialogShippng()">
        <div class="d-flex items-center">
          <v-icon color="#3B82F6"> mdi-pencil-box </v-icon>
          <span class="ml-2 text-content-brand capitalize"> Edit Rule </span>
        </div>
      </v-btn>
    </div>
    <div class="flex items-center justify-between my-6">
      <p class="mb-0 text-sm font-semibold text-content-main">
        Shipping Name Display
      </p>
      <p class="mb-0 text-sm text-content-main">
        {{shippingName || 'Shipping'}}
      </p>
    </div>
    <div>
      <v-skeleton-loader
        class="mx-auto mt-10"
        width="100%"
        type="card"
        v-if="loadingTable"
      >
      </v-skeleton-loader>
      <v-simple-table
        class="scrollTable c-pointer"
        fixed-header
        style="border: 1px solid #edeeef; border-radius: 8px 8px 8px 8px"
        v-else
      >
        <template v-slot:default>
          <thead>
            <tr class="!bg-gray !rounded-t-xl bg-gray-200">
              <th class="text-left !bg-gray-200">
                <div style="width: 64px">
                  <p class="!text-[#6E7C87] text-xs font-semibold">Unit</p>
                </div>
              </th>
              <th class="text-left !bg-gray-200">
                <div style="width: 64px">
                  <p class="!text-[#6E7C87] text-xs font-semibold">Base</p>
                </div>
              </th>
              <th class="text-left !bg-gray-200">
                <div style="width: 64px">
                  <p class="!text-[#6E7C87] text-xs font-semibold">Value</p>
                </div>
              </th>
            </tr>
          </thead>
          <tbody>
            <tr v-for="(shipping,idx) in listShippingView" :key="idx">
              <td>
                <p
                  class="mb-0 text-sm text-content-main font-semibold capitalize"
                >
                  {{shipping.total ? 'Price' : 'Quantity'}}
                </p>
              </td>
              <td>
                <p class="mb-0 text-sm text-content-main capitalize">
                  <span v-if="idx === listShipping.length - 1"> >= </span>
                  <span v-else> = </span>
                  <span v-if="shipping.total">$</span>
                  {{shipping.total || shipping.quantity}}
                </p>
              </td>
              <td>
                <p class="mb-0 text-sm text-content-main capitalize">
                  ${{shipping.price}}
                </p>
              </td>
            </tr>
          </tbody>
        </template>
      </v-simple-table>
    </div>
  </div>

  <v-row justify="center">
    <v-dialog
      v-model="dialogShipping"
      max-width="640px"
      color="#ffffff"
      :persistent="loading"
    >
      <v-card class="pa-0" color="#ffffff" id="hideBottomInput">
        <div class="d-flex align-center justify-space-between py-2 px-4">
          <p class="mb-0 fsize-18 lightContentPrimary">Edit Shipping Rule</p>
          <v-btn
            color="#949494"
            @click="dialogShipping  = false"
            icon
            small
            :disabled="loading"
          >
            <v-icon color="#949494" size="20"> mdi-close </v-icon>
          </v-btn>
        </div>
        <v-divider></v-divider>
        <div class="py-2 px-4">
          <p class="mb-0 text-sm font-semibold">Shipping display name</p>
          <v-text-field
            dense
            outlined
            placehodler="Enter name"
            class="mt-1"
            v-model="shippingName"
          ></v-text-field>
        </div>
        <div class="py-2 px-4">
          <div class="grid grid-cols-12 gap-4">
            <div class="col-span-3">
              <p class="mb-0 text-sm font-semibold">Unit</p>
            </div>
            <div class="col-span-3">
              <p class="mb-0 text-sm font-semibold">Base</p>
            </div>
            <div class="col-span-3">
              <p class="mb-0 text-sm font-semibold">Value</p>
            </div>
            <div class="col-span-3"></div>
          </div>
          <div
            class="grid grid-cols-12 gap-4 mt-2"
            v-for="(shipping, i) in listShipping"
            :key="i"
          >
            <div class="col-span-3">
              <v-select
                dense
                outlined
                v-model="shipping.unit"
                :items="listUnit"
                item-text="name"
                item-value="value"
              ></v-select>
            </div>
            <div class="col-span-3 input-large-number">
              <v-text-field
                dense
                outlined
                placehodler="Enter name"
                class="mt-1"
                type="number"
                step="0.01"
                v-model.number="shipping.base"
                :prefix="i === listShipping.length - 1 ? '>=' : '='"
              ></v-text-field>
            </div>
            <div class="col-span-3">
              <v-text-field
                dense
                outlined
                placehodler="Enter name"
                class="mt-1"
                type="number"
                v-model.number="shipping.price"
                prefix="$"
                step="0.01"
                min="0"
              ></v-text-field>
            </div>
            <div class="col-span-3 input-large-number">
              <div class="flex justify-end">
                <v-btn icon fab small @click="onRemove(i)" :disabled="loading">
                  <v-icon color="#F05252"> mdi-trash-can </v-icon>
                </v-btn>
              </div>
            </div>
          </div>
          <div class="mt-3">
            <v-btn
              color="#3B82F6"
              outlined
              @click="onAddRule()"
              :disabled="loading"
            >
              <div class="d-flex items-center">
                <span class="text-content-brand capitalize"> Add Rule </span>
              </div>
            </v-btn>
          </div>
        </div>
        <v-divider class="mt-4"></v-divider>
        <div class="p-4 d-flex justify-end">
          <v-btn
            color="#3B82F6"
            @click="onSave()"
            class="elevation-0"
            height="44"
            :disabled="loading"
          >
            <v-progress-circular
              v-if="loading"
              size="18"
              indeterminate
              color="#076CE3"
            >
            </v-progress-circular>
            <div class="d-flex items-center" v-else>
              <span class="text-white capitalize"> Save </span>
            </div>
          </v-btn>
        </div>
      </v-card>
    </v-dialog>
  </v-row>
</div>
